// $Id: db.cpp,v 1.1 2003/04/04 10:29:54 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Author: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/

#include"db.h"

db::db ( string serverI, 
		string userI, 
		string passwdI,
		string dbNameI )
{
	server = serverI;
	user   = userI;
	passwd = passwdI;
        dbName = dbNameI;
	errNo=0;
	#ifdef DEBUG
	 cerr << "Opening the DataBase" << endl;
	#endif
	mysql_init(&dbhandle);
	mysql_options(&dbhandle,MYSQL_READ_DEFAULT_GROUP,"a.out");
	if (!mysql_real_connect(&dbhandle,server.c_str(),user.c_str(),passwd.c_str(),dbName.c_str(),0,NULL,0))
        {
                cerr << "Failed to connect to server" << endl;
		errNo= -1;
        }
	errNo=mysql_errno(&dbhandle);
}

db::~db ()
{
	#ifdef DEBUG
                cerr << "Closing connection to database" << endl;
        #endif
	mysql_close(&dbhandle);
}

dbResult::dbResult db::query ( string queryString )
{
	if ( ( mysql_real_query( &dbhandle, queryString.c_str(), queryString.size() ) ) != 0 )
	{
		errNo=mysql_errno(&dbhandle);
		return NULL;
	}
	else
	{
		errNo=mysql_errno(&dbhandle);;
		return mysql_store_result(&dbhandle);
	}
}


