// $Id: dbResult.cpp,v 1.3 2003/04/28 14:44:49 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Author: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/

#include "dbResult.h"

dbResult::dbResult (MYSQL_RES * res)
{
	if (res != NULL)
	{
		Rows = mysql_num_rows(res);
		Fields = mysql_num_fields(res);
		MYSQL_ROW row_buff;
		while (( row_buff = mysql_fetch_row(res)))
		{
			Row Row_buff;
			for (size_t i = 0; i < Fields; i++)
			{
				Row_buff.push_back(row_buff[i]);
			}
			Result.push_back(Row_buff);
		}
		#ifdef DEBUG
		 cerr << "DEBUG: dbResult::dbResult(),Got "<< Result.size();
		 cerr << " records." << endl;
		#endif
	}
	mysql_free_result(res); //clear the result allocation
	
}

Row dbResult::getRow(size_t row)
{
	if ( row < Rows ) 
	{
		return Result[row];
	}
	else
	{
		vector<string> foo;
		return foo;
	}

}

string dbResult::getItem(size_t row, size_t column)
{
	Row rBuff = this->getRow(row);
        if ( column < rBuff.size() ) 
	{
		return rBuff[column];	
	}
	else
	{
		return "";
	}
}
