// $Id: hlrGenericAccount.h,v 1.3 2003/12/02 13:50:05 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Authors: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/
#ifndef HLRGENERICACCOUNT
#define HLRGENERICACCOUNT

#include<string>
#include<iostream>
#include<sstream>
#include"edg/workload/dgas/hlr_api/hlrAcctdesc.h"


using namespace std;

class hlrGenericAccount {
	public:
		string id;//db primary key
		string type;
		string email;
		string descr;
		string certSubject;

		hlrGenericAccount(string _id = "",
				string _type= "",
				string _email= "",
				string _descr= "",
				string _certSubject = ""
				);


		int get (); //gets user info from uid || gid || email || certSubject
		int get (vector<hlrGenericAccount>& av);// gets every matching record
		int put (); //dumb put, doesn't do any check, replace info 
			    //if present! Remember to create the user group 
			    //before inserting the user(no check is performed
			    //at this level wether the group description 
			    //exists or not!). (It tries to roll back the DB
			    //if something goes wrong).

		int del (); //dumb delete

		bool exists ();//try guessing what it does!

		int getKeys (vector<string>& keys);//get matching keys


friend ostream& operator << ( ostream& os, const hlrGenericAccount& a );		
};


#endif
