#include <jobAuth.h>

extern const char * hlr_sql_server;
extern const char * hlr_sql_user;
extern const char * hlr_sql_password;
extern const char * hlr_sql_dbname;



jobAuth::jobAuth (
	        int _seqNumber,	
		string _dgJobId, 
		string _usrCert, 
		int _submTime)
{
	seqNumber =_seqNumber;
	dgJobId = _dgJobId;
	usrCert = _usrCert;
	submTime = _submTime;
	#ifdef DEBUG
	cerr << seqNumber << "," << dgJobId << "," << usrCert
		<< "," << submTime << endl;
	#endif
}

int jobAuth::put()
{
	db userHlr(hlr_sql_server, 
			hlr_sql_user, 
			hlr_sql_password, 
			hlr_sql_dbname);
	if (userHlr.errNo == 0)
	{
		string queryStr = "INSERT INTO jobAuth VALUES (0,'";
		queryStr += dgJobId;
		queryStr += "','";
		queryStr += usrCert;
		queryStr += "',";
		queryStr += int2string(submTime);
		queryStr += ")";
		userHlr.query(queryStr);
		#ifdef DEBUG
		 cerr << "jobAuth.put(): query = " << queryStr << endl;
		#endif
		return userHlr.errNo;
		
	}
	else
	{
		return atoi(E_NO_DB);
	}
	
}
int jobAuth::get(string dgJobId)
{
	db userHlr(hlr_sql_server,
	                hlr_sql_user,
                        hlr_sql_password,
                        hlr_sql_dbname);
	if (userHlr.errNo == 0)
	{
		string queryStr = "SELECT * FROM jobAuth WHERE dgJobId = '";
		queryStr+= dgJobId;
		queryStr+= "'";
		dbResult result = userHlr.query(queryStr);
		#ifdef DEBUG
		 cerr << "jobAuth.get(): query = " << queryStr << endl;
		#endif
		if ( userHlr.errNo == 0 )
		{
			if ( result.numRows() == 1 )
			{
				seqNumber = atoi((result.getData()[0][0]).c_str());
				dgJobId = result.getData()[0][1];
				usrCert = result.getData()[0][2];
				submTime = atoi((result.getData()[0][3]).c_str());
				return 0;
			}
			else
			{
				return 1;
			}
		}
		else
		{
			return userHlr.errNo;
		}
	}
	return atoi(E_NO_DB);
}
int jobAuth::remove()
{
        db userHlr(hlr_sql_server,
                        hlr_sql_user,
                        hlr_sql_password,
                        hlr_sql_dbname);
        if (userHlr.errNo == 0)
        {
		string queryStr = "DELETE  FROM jobAuth WHERE dgJobId = '";
		queryStr += dgJobId;
		queryStr += "'";
		userHlr.query(queryStr);
		#ifdef DEBUG
		 cerr << "jobAuth::remove(): query = " << queryStr << endl;
		#endif
		return userHlr.errNo;
		
	}
	else
	{
		return atoi(E_NO_DB);
	}
	
	return 0;
}

int remove(string _dgJobId)
{
        db userHlr(hlr_sql_server,
                        hlr_sql_user,
                        hlr_sql_password,
                        hlr_sql_dbname);
        if (userHlr.errNo == 0)
        {
		string queryStr = "DELETE  FROM jobAuth WHERE dgJobId = '";
		queryStr += _dgJobId;
		queryStr += "'";
		userHlr.query(queryStr);
		#ifdef DEBUG
		 cerr << "jobAuth::remove(): query = " << queryStr << endl;
		#endif
		return userHlr.errNo;
		
	}
	else
	{
		return atoi(E_NO_DB);
	}

}



	
