// DGAS (DataGrid Accounting System) 
// Client APIs.
// 
// $Id: edg-wl-dgas-pingClient.h,v 1.3 2003/12/02 13:50:06 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Author: Andrea Guarise <andrea.guarise@to.infn.it>
 /***************************************************************************
 * Code borrowed from:
 *  authors   :
 *  copyright : 
 ***************************************************************************/
//
//    

// ---------------------------------------------------------------------------
//  Includes
// ---------------------------------------------------------------------------
#include <string>
#include <vector>
#include <sstream>
#include <fstream>
#ifndef GSI
#include "SocketClient.h"
#include "SocketAgent.h"
#else
#include "GSISocketClient.h"
#include "GSISocketAgent.h"
#endif
#include "xmlUtil.h"
#include "int2string.h"
#include "stringSplit.h"
#include "hlr_prot_errcode.h"

using namespace std;
#ifndef EDG_SOCKETPP
using namespace edg::workload::common::socket_pp;
#endif

struct statusInfo {
        string engines;
        int uiRequests;
        int ATMRequests;
        int bankRequests;
        int jobAuthRequests;
        int userAuthRequests;
        int paRequests;
        int pingRequests;
};

struct errorInfo {
        string engines;
        int uiErrors;
        int ATMErrors;
        int bankErrors;
        int jobAuthErrors;
        int userAuthErrors;
        int paErrors;
        int pingErrors;
};

//0 on success > 0 on failure
int dgas_ping_client(string &acct_id,
	        int pingType,	
		statusInfo *status,
		errorInfo *errors,
		string *server_answer);


