// DGAS (DataGrid Accounting System) 
// Server Daeomn and protocol engines.
// 
// $Id: ATM_engine.h,v 1.4 2004/01/12 15:53:29 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Author: Andrea Guarise <andrea.guarise@to.infn.it>
 /***************************************************************************
 * Code borrowed from:
 *  authors   :
 *  copyright : 
 ***************************************************************************/
//
//    

// ---------------------------------------------------------------------------
//  Includes
// ---------------------------------------------------------------------------
#include <stdlib.h>
#include <vector>
#include <string>
#include <sstream>
#include "comm_struct.h"
#include <libPA_comm.h>
#include <jobAuth.h>
#include <edg-wl-dgas-paClient.h>
#include <LDAPSynchConnection.h>
#include <LDAPQuery.h>
#include <LDAPForwardIterator.h>
#include <LDIFObject.h>
#include <xmlUtil.h>
#include <int2string.h>
#include <libdgas_log.h>
#include <stringSplit.h>
#include <hlrTransaction.h>
#include <qTransaction.h>

using namespace std;

#define GRIS_PORT "2135"

struct ATM_job_data
{
	string 	dgJobId;
	int	time;
	string	res_acct_PA_id;
	string	res_acct_bank_id;
	string	user_CertSubject;
	string	res_grid_id;
};

struct ATM_usage_info
{
	int cpu_time;
	int wall_time;
	int mem;
	int vmem;
};


//get the xml object from the daemon and parse the information contained in
//the request. Trigger the retrieve of a price for the corresponding resource.
//Compute the job cost. Trigger the credit-debit transaction. compose the answer
int ATMEngine( string &input, connInfo &connectionInfo, string *output );




