// DGAS (DataGrid Accounting System) 
// Server Daeomn and protocol engines.
// 
// $Id: ping_engine.hpp,v 1.2 2003/12/02 13:50:09 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Author: Andrea Guarise <andrea.guarise@to.infn.it>
 /***************************************************************************
 * Code borrowed from:
 *  authors   :
 *  copyright : 
 ***************************************************************************/
//
//    

// ---------------------------------------------------------------------------
//  Includes
// ---------------------------------------------------------------------------
#ifndef PING_ENGINE_HPP
#define PING_ENGINE_HPP

#include <string>
#include <iostream>
#include <sstream>
#include <comm_struct.h>
#include <xmlUtil.h>
#include <libdgas_log.h>
#include <int2string.h>

struct statusInfo {
	string engines;
	int uiRequests;
	int ATMRequests;
	int bankRequests;
	int jobAuthRequests;
	int userAuthRequests;
	int paRequests;
	int pingRequests;
};

struct errorInfo {
	string engines;
	int uiErrors;
        int ATMErrors;
        int bankErrors;
        int jobAuthErrors;
        int userAuthErrors;
        int paErrors;
        int pingErrors;
};

void ping_engine( string &doc, connInfo &connectionInfo, statusInfo &status, errorInfo &errors, string *output );

#endif
