/*
 * ReceiveString.cpp
 *
 * Copyright (c) 2002 EU DataGrid.
 * For license conditions see http://www.eu-datagrid.org/license.html
 */

#include "edg/workload/networkserver/commands/Command.h"
#include "edg/workload/networkserver/commands/fsm/ExecuteFunction.h"
#include "edg/workload/common/socket++/SocketAgent.h"

namespace edg {
namespace workload {
namespace networkserver {
namespace commands {
namespace fsm {

ExecuteFunction::ExecuteFunction(boost::function<bool, commands::Command*> f)
{
 fn = f;
} 

bool ExecuteFunction::execute(commands::Command* cmd)
{
  return fn(cmd);
}

} // namespace fsm
} // namespace comamnds
} // namespace networkserver
} // namespace workload
} // namespace edg



