#include "edg/workload/networkserver/commands/Command.h"
#include "edg/workload/common/socket++/SocketAgent.h"
#include "edg/workload/networkserver/commands/fsm/ReceiveBoolean.h"

namespace edg {
namespace workload {
namespace networkserver {
namespace commands {
namespace fsm {

ReceiveBoolean::ReceiveBoolean(const std::string& s) : boolName(s)
{
} 

bool ReceiveBoolean::execute(commands::Command* cmd)
{
  int intValue;
  if(cmd -> agent().Receive(intValue))
    return cmd -> setParam(boolName, intValue ? true : false);
   return false;	
}

} // namespace fsm
} // namespace comamnds
} // namespace networkserver
} // namespace workload
} // namespace edg


