#include "edg/workload/networkserver/commands/Command.h"
#include "edg/workload/common/socket++/SocketAgent.h"
#include "edg/workload/networkserver/commands/fsm/ReceiveLong.h"

namespace edg {
namespace workload {
namespace networkserver {
namespace commands {
namespace fsm {

ReceiveLong::ReceiveLong(const std::string& s) : longName(s)
{
} 

bool ReceiveLong::execute(commands::Command* cmd)
{
  long value;
  if(cmd -> agent().Receive(value)) {
    return cmd -> setParam(longName, (double)value );
  }
  return false;	
}

} // namespace fsm
} // namespace comamnds
} // namespace networkserver
} // namespace workload
} // namespace edg


