#include <iostream>
#include <stdlib.h>
#include <limits.h>
#include <string>

using namespace std;

int main(int argc, char* argv[])
{
	if ( argc < 2 )
	{
		cerr << "you need to specify the path to expand!" << endl;
		return 1;
	}
	if ( argc > 2 )
	{
		cerr << "Too many parameters!" << endl;
		return 2;
	}
	char * buffer; 
	buffer = (char *) malloc (PATH_MAX);
	if (buffer == NULL)
		exit(3);
	realpath(argv[1], buffer);
	cout << buffer << endl;
	free(buffer);
	return 0;
}
