/*
 * edg-wl-job-cancel.cpp
 * Copyright (c) 2001 The European Datagrid Project - IST programme, all rights reserved.
 * Contributors are mentioned in the code where appropriate.
 */

#include "edg/workload/common/jobid/JobId.h"
#include "edg/workload/common/requestad/JobAd.h"
#include "edg/workload/common/utilities/Exceptions.h"
#include "edg/workload/userinterface/client/Job.h"
using namespace std ;
int main(int argc,char *argv[]){
try{
   if (argc < 2 ||  strcmp(argv[1],"--help") == 0)  {
		cout << "Usage : " << argv[0] << "  <job id >" << endl;
		return 1;
   }
   cout << "Checking if cancelling is allowed, retrieving the status..." << endl <<  flush;
   edg::workload::common::jobid::JobId jid ( argv[1] );
   edg::workload::userinterface::Job   job(jid);
   cout << "Done.\nCancelling the job..." << endl <<  flush;
   cout << job.cancel(  ) ;
   cout << "DONE" ;
   return 0 ;
} catch  (edg::workload::common::utilities::Exception &exc){
         cout << "Operation not performed\n" ;
         cout <<  exc.printStackTrace();
}

return 1 ;
};
