// $Id: dbResult.h,v 1.2 2003/04/04 14:24:12 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Author: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/

#ifndef DBRESULT_H
#define DBRESULT_H

#include<iostream>
#include<string>
#include<vector>
#include<mysql/mysql.h>

using namespace std;

typedef vector<string> Row;
typedef vector<Row> Res;
class dbResult {
public:
	dbResult ();
	dbResult (MYSQL_RES * res);
	size_t numRows() { return Rows; };
	size_t numFields() { return Fields; };
	Res getData() { return Result; };
        Row getRow(size_t row);
        string getItem(size_t row, size_t column);	

private:
Res 	    Result;
size_t	    Rows;
size_t	    Fields;

};
#endif
