#ifndef XMLUTIL_H
#define XMLUTIL_H
#include <string>
#include <vector>
#include <map>
#include "edg/workload/dgas/common/hlr_prot_errcode.h"

using namespace std;

typedef map<string,string> attrType;

class node {
	public:

	node ( string *_mainDoc = NULL, int _status = 0, string _tag = "", string _text = "", int _startPos = 0, int _endPos = 0, bool _valid = false ):
		mainDoc(_mainDoc),
		status(_status),
		tag(_tag),
		text(_text),
		startPos(_startPos),
		endPos(_endPos),
		valid(_valid){;};
	
		//retrieve the info in the node delimited by "tag"
	node friend parse(string *xmlInput, string _tag); 
		//remove the node from the xml;
	int release();
	attrType getAttributes();
	
	private:
	string * mainDoc;
	
	public:	
	int status;
	
	private:
	string tag;
	
	public:	
	string text;
	
	private:
	int startPos;
	int endPos;	
	bool valid;



	
};
#endif
