// File: RBMinimizeAccessCostImpl.h
// Author: Salvatore Monforte <Salvatore.Monforte@ct.infn.it>
// Copyright (c) 2002 EU DataGrid.
// For license conditions see http://www.eu-datagrid.org/license.html

// $Id: 

#ifndef _EDG_WORKLOAD_PLANNING_BROKER_RBMINIMIZEACCESSCOSTIMPL_H_
#define _EDG_WORKLOAD_PLANNING_BROKER_RBMINIMIZEACCESSCOSTIMPL_H_

#include "edg/workload/planning/broker/ResourceBroker.h"
#include "edg/workload/planning/broker/matchmaking/brokerinfo.h"
#include "edg/workload/planning/broker/matchmaking/brokerinfoGlueImpl.h"

namespace edg {
namespace workload {
namespace planning {
namespace broker {

class RBMinimizeAccessCostImpl : public ResourceBrokerImpl
{
public:
  RBMinimizeAccessCostImpl(matchmaking::brokerinfo::BrokerInfo<matchmaking::brokerinfo::brokerinfoGlueImpl> *);
  ~RBMinimizeAccessCostImpl();
  matchmaking::match_table_t* findSuitableCEs(const classad::ClassAd* requestAd);
private:
  matchmaking::brokerinfo::BrokerInfo<matchmaking::brokerinfo::brokerinfoGlueImpl> *BI;
};

} // namespace broker
} // namespace planning
} // namespace workload
} // namespace edg

#endif
