// File: DispatcherImpl.h
// Author: Francesco Giacomini <Francesco.Giacomini@cnaf.infn.it>
// Copyright (c) 2002 EU DataGrid.
// For license conditions see http://www.eu-datagrid.org/license.html

// $Id: DispatcherImpl.h,v 1.4 2003/03/27 14:13:14 giaco Exp $

#ifndef EDG_WORKLOAD_PLANNING_MANAGER_DISPATCHERIMPL_H
#define EDG_WORKLOAD_PLANNING_MANAGER_DISPATCHERIMPL_H

#ifndef EDG_WORKLOAD_X_BOOST_UTILITY_HPP
#define EDG_WORKLOAD_X_BOOST_UTILITY_HPP
#include <boost/utility.hpp>
#endif
#ifndef EDG_WORKLOAD_PLANNING_MANAGER_PIPEDEFS_H
#include "edg/workload/planning/manager/pipedefs.h"
#endif

namespace classad {
class ClassAd;
}

namespace edg {
namespace workload {
namespace planning {
namespace manager {

class DispatcherImpl: boost::noncopyable
{
public:
  DispatcherImpl();
  virtual ~DispatcherImpl();

  virtual void run(common::task::PipeWriteEnd<pipe_value_type>& write_end) = 0;
};

}}}} // edg::workload::planning::manager

#endif // EDG_WORKLOAD_PLANNING_MANAGER_DISPATCHERIMPL_H
