// File: JCCancellingPolicy.h
// Author: Francesco Giacomini <Francesco.Giacomini@cnaf.infn.it>
// Copyright (c) 2002 EU DataGrid.
// For license conditions see http://www.eu-datagrid.org/license.html

// $Id: JCCancellingPolicy.h,v 1.7 2003/04/23 14:06:23 giaco Exp $

#ifndef EDG_WORKLOAD_PLANNING_MANAGER_JCCANCELLINGPOLICY_H
#define EDG_WORKLOAD_PLANNING_MANAGER_JCCANCELLINGPOLICY_H

#include <string>

namespace edg {
namespace workload {

namespace common {
namespace jobid {
class JobId;
}}

namespace planning {
namespace manager {

class JCCancellingPolicy
{
protected:
  ~JCCancellingPolicy();

public:
  static void Cancel(common::jobid::JobId const& id);
  
};

typedef JCCancellingPolicy CancellingPolicy;

}}}} // edg::workload::planning::manager

#endif // EDG_WORKLOAD_PLANNING_MANAGER_JCCANCELLINGPOLICY_H
