// File: JCDeliveryPolicy.h
// Author: Francesco Giacomini <Francesco.Giacomini@cnaf.infn.it>
// Copyright (c) 2002 EU DataGrid.
// For license conditions see http://www.eu-datagrid.org/license.html

// $Id: JCDeliveryPolicy.h,v 1.7 2003/04/17 09:38:02 giaco Exp $

#ifndef EDG_WORKLOAD_PLANNING_MANAGER_DELIVERYPOLICY_H
#define EDG_WORKLOAD_PLANNING_MANAGER_DELIVERYPOLICY_H

namespace classad {
class ClassAd;
}

namespace edg {
namespace workload {
namespace planning {
namespace manager {

class JCDeliveryPolicy
{
protected:
  ~JCDeliveryPolicy();

public:
  static void Deliver(classad::ClassAd const& ad);
};

typedef JCDeliveryPolicy DeliveryPolicy;

}}}} // edg::workload::planning::manager

#else
#error Multiple delivery policies defined
#endif // EDG_WORKLOAD_PLANNING_MANAGER_DELIVERYPOLICY_H
