// $Id: db.h,v 1.1 2003/04/04 10:29:54 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Author: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/

#ifndef DB_H
#define DB_H

#include <mysql/mysql.h>
#include <string>
#include <iostream>
#include "dbResult.h"

using namespace std;

class db {
public:
	db ();
	db (string serverI, string userI, string passwdI, string dbNameI);
	~db ();
	dbResult::dbResult  query ( string queryString );

	int errNo;
	string errMsg;
private:
	MYSQL dbhandle;
	string server;
	string user;
	string passwd;
	string dbName;

	db (const db&) ; // avoid copying of dbhandle
	db& operator=(const db&) ; 

};

#endif
