// $Id: dgas_paPrice.cpp,v 1.1 2003/04/04 10:29:54 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Author: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/


#include<dgas_paPrice.h>

paPrice::paPrice ( string _resID, int _time, int _priceValue)
{
	resID = _resID;
	time = _time;
	priceValue = _priceValue;
	minTTL = 0;
}

int paPrice::put()
{
	paResPrice resPriceBuff(resID, time, priceValue);
	return resPriceBuff.put();
}

int paPrice::get()
{
	paResPrice resPriceBuff(resID, time);
	paResItem itemBuff;
	if ( itemBuff.get(resID) != 0 )
	{
		//could not find the resource entry
		return 1;
	}
	else
	{
		if ( resPriceBuff.get() != 0 )
		{
			//could not find the price entry
			return 2;
		}
		else
		{
			time = resPriceBuff.time;
			priceValue = resPriceBuff.price;
			minTTL = itemBuff.defMinTTL;
			return 0;
		}
	}
}
