// DGAS (DataGrid Accounting System) 
// Server Daeomn and protocol engines.
// 
// $Id: xml_pa_helper.cpp,v 1.4 2003/12/02 13:50:07 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Author: Andrea Guarise <andrea.guarise@to.infn.it>
 /***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *  copyright : 
 ***************************************************************************/
//
//    

// ---------------------------------------------------------------------------
//  Includes
// ---------------------------------------------------------------------------
#include "xml_pa_helper.h"

extern statusInfo serverStatus;
extern errorInfo errorStatus;

int parse_xml( string &xmlInput, connInfo &connectionInfo, string *output)
{
	int returnCode = 0;
	int res = 0;
	attrType attributes;
	node Node = parse(&xmlInput, "HLR");
	attributes = Node.getAttributes();
	if ( Node.status != 0)
	{
		#ifdef DEBUG
		 cerr << "pa_xml_helper: error parsing the XML input" << endl;
		#endif
		 returnCode = Node.status;
	}
	else
	{
		if ( attributes["type"] == "PA_query" )
		{
			serverStatus.paRequests++;
			res = pa_query(xmlInput, connectionInfo ,output);
			if ( res != 0 )
				errorStatus.paErrors++;
		}
		if ( attributes["type"] == "ping_request" )
		{
			serverStatus.pingRequests++;
			ping_engine ( xmlInput, connectionInfo , serverStatus, errorStatus ,output);
		}
	}

	return returnCode;
}



