%{
#ident "$Header: /local/reps/lcgware/workload/logging/lbserver/index_lex.l,v 1.5 2003/08/13 10:12:21 salvet Exp $"

#include <string.h>

#include "edg/workload/logging/common/context.h"
#include "edg/workload/logging/lbserver/index_parse.h"
#include "edg/workload/logging/lbserver/index.h"

char	*lex_out;
int	lex_int;
int	lex_line;

int yywrap(void) { return 1; }

#define YY_NO_UNPUT

%}


delim	[ \t]
ws	{delim}+
string	\"[^\"\n]*\"
digit	[0-9]
int	{digit}+

%%
{ws}	{}

JobIndices	return JOB_INDICES;
type		return TYPE;
name		return NAME;
prefixlen	return PREFIX;
{int}		{
			lex_int = atoi(yytext);
			return INT;
		}
{string}	{
			int	len;
			lex_out = malloc(len = strlen(yytext)-1);
			strncpy(lex_out,yytext+1,len-1);
			lex_out[len-1] = 0;
			return STRING;
		}
\n	lex_line++;
.		return *yytext;

