#include "edg/workload/networkserver/commands/Command.h"
#include "edg/workload/common/socket++/SocketAgent.h"
#include "edg/workload/networkserver/commands/fsm/ReceiveInt.h"

#include <iostream.h>


namespace edg {
namespace workload {
namespace networkserver {
namespace commands {
namespace fsm {

ReceiveInt::ReceiveInt(const std::string& s) : intName(s)
{
} 

bool ReceiveInt::execute(commands::Command* cmd)
{
  int value = 0;

  if(cmd -> agent().Receive(value)) {
    return cmd -> setParam(intName, value );
  }
  
  return false;
}

} // namespace fsm
} // namespace comamnds
} // namespace networkserver
} // namespace workload
} // namespace edg




