/*
 * ReceiveString.cpp
 *
 * Copyright (c) 2002 EU DataGrid.
 * For license conditions see http://www.eu-datagrid.org/license.html
 */

#include "edg/workload/networkserver/commands/Command.h"
#include "edg/workload/networkserver/commands/fsm/ReceiveString.h"
#include "edg/workload/common/socket++/SocketAgent.h"

namespace edg {
namespace workload {
namespace networkserver {
namespace commands {
namespace fsm {

ReceiveString::ReceiveString(const std::string& s) : strName(s)
{
} 

bool ReceiveString::execute(commands::Command* cmd)
{
  std::string strValue;

  return cmd -> agent().Receive(strValue) &&
    cmd -> setParam(strName, strValue);
}

} // namespace fsm
} // namespace comamnds
} // namespace networkserver
} // namespace workload
} // namespace edg



