#include "edg/workload/networkserver/commands/Command.h"
#include "edg/workload/networkserver/commands/fsm/SendBoolean.h"
#include "edg/workload/common/socket++/SocketAgent.h"

namespace edg {
namespace workload {
namespace networkserver {
namespace commands {
namespace fsm {

SendBoolean::SendBoolean(const std::string& s) : boolName(s)
{
} 

bool SendBoolean::execute(commands::Command* cmd)
{
  bool value;
  return cmd -> getParam(boolName, value) &&
    cmd -> agent().Send( value ? 1 : 0 );
}

} // namespace fsm
} // namespace comamnds
} // namespace networkserver
} // namespace workload
} // namespace edg


