#include "edg/workload/networkserver/commands/Command.h"
#include "edg/workload/networkserver/commands/fsm/SendInt.h"
#include "edg/workload/common/socket++/SocketAgent.h"

#include <iostream.h>

namespace edg {
namespace workload {
namespace networkserver {
namespace commands {
namespace fsm {

SendInt::SendInt(const std::string& s) : intName(s)
{
} 

bool SendInt::execute(commands::Command* cmd)
{
  int value;
  return cmd -> getParam(intName, value) &&
         cmd -> agent().Send( value );
}

} // namespace fsm
} // namespace comamnds
} // namespace networkserver
} // namespace workload
} // namespace edg


