#include "edg/workload/networkserver/commands/Command.h"
#include "edg/workload/networkserver/commands/fsm/SendLong.h"
#include "edg/workload/common/socket++/SocketAgent.h"

namespace edg {
namespace workload {
namespace networkserver {
namespace commands {
namespace fsm {

SendLong::SendLong(const std::string& s) : longName(s)
{
} 

bool SendLong::execute(commands::Command* cmd)
{
  double value;
  return cmd -> getParam(longName, value) &&
         cmd -> agent().Send( (long) value );
}

} // namespace fsm
} // namespace comamnds
} // namespace networkserver
} // namespace workload
} // namespace edg


