
#include "edg/workload/networkserver/commands/Command.h"
#include "edg/workload/networkserver/commands/fsm/SendString.h"
#include "edg/workload/common/socket++/SocketAgent.h"

namespace edg {
namespace workload {
namespace networkserver {
namespace commands {
namespace fsm {

SendString::SendString(const std::string& s) : strName(s)
{
} 

bool SendString::execute(commands::Command* cmd)
{
  std::string value;
  cmd -> getParam(strName, value);
  return  cmd -> agent().Send(value);
}

} // namespace fsm
} // namespace comamnds
} // namespace networkserver
} // namespace workload
} // namespace edg


