#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>

#define MAX_CHAR 200

int main (int argc, char *argv[])
 {
  FILE *fin;
  char *line;
  int i=0;
  
/*  char c;*/

  if (argc<2)
   {
    fprintf(stderr,"Usage: %s <file in>\n",argv[0]);
    exit(1);
   }

  if ((fin=fopen(argv[1],"r"))==NULL)
   {
    fprintf(stderr,"%s: Cannot open input file %s: %s\n",
            argv[0],argv[1],strerror(errno));
    exit(1);
   }

/*  if ((fout=fopen(argv[2],"w"))==NULL)
   {
    fprintf(stderr,"%s: Cannot open output file %s: %s\n",
            argv[0],argv[2],strerror(errno));
    fclose(fin);
    exit(1);
   }
*/   
 line=malloc(MAX_CHAR*sizeof*line);
 if(line==NULL){
  printf("NO memory to allocate\n");
  exit(-1);
 }
 
 for(;fgets(line,MAX_CHAR,fin)!=0;i++){
    fputs(line, stdout);
 }
/*
  while(!(feof(fin))) 
   {
    c = fgetc(fin);
    if (c==EOF) break;
    fputc(c, stdout);
   }

  while(!(feof(stdin))) 
   {
    c = fgetc(stdin);
    if (c==EOF) break;
    fputc(c, fout);
   }
*/
  fclose(fin);
/*  fclose(fout);*/

  exit(0);
 }
