#include "edg/workload/checkpointing/client/jobstate.h"
#include "edg/workload/common/jobid/JobId.h"
#include "edg/workload/common/utilities/Exceptions.h"
#include "edg/workload/userinterface/client/Job.h"
#include <iostream>
using namespace std ;
using namespace edg::workload::common::utilities ;
using namespace edg::workload::userinterface ;

int main(int argc,char *argv[]){
   if (argc < 3 ||  strcmp(argv[1],"--help") == 0)  {
		cout << "Usage : " << argv[0] << "  <step> <job id >" << endl<<flush;
		return 1;
   }
try{
   edg::workload::common::jobid::JobId jid ( argv[2] );
   Job   job(jid);
   cout << "Retrieving chkpt state from LB, please wait..." << endl <<  flush ;
   edg::workload::checkpointing::JobState state = job.getState( atoi (argv[1])  ) ;
   cout << "Status :\n" << state.toString() << endl<< flush;
   return 0 ;
}catch  (Exception &exc){
         cout << "Operation not performed\n" ;
         cout <<  exc.printStackTrace();
}
return 1 ;
};
