// File: DispatcherFromFile.h
// Author: Francesco Giacomini <Francesco.Giacomini@cnaf.infn.it>
// Copyright (c) 2002 EU DataGrid.
// For license conditions see http://www.eu-datagrid.org/license.html

// $Id: DispatcherFromFile.h,v 1.1 2003/03/27 14:27:29 giaco Exp $

#ifndef EDG_WORKLOAD_PLANNING_MANAGER_DISPATCHERFROMFILE_H
#define EDG_WORKLOAD_PLANNING_MANAGER_DISPATCHERFROMFILE_H

#ifndef EDG_WORKLOAD_X_STRING
#define EDG_WORKLOAD_X_STRING
#include <string>
#endif
#ifndef EDG_WORKLOAD_PLANNING_MANAGER_DISPATCHERIMPL_H
#include "edg/workload/planning/manager/DispatcherImpl.h"
#endif

namespace edg {
namespace workload {
namespace planning {
namespace manager {

class DispatcherFromFile: public DispatcherImpl
{
  std::string const m_file;

public:
  DispatcherFromFile(std::string const& file);
  void run(common::task::PipeWriteEnd<pipe_value_type>& write_end);
};


}}}} // edg::workload::planning::manager

#endif

// Local Variables:
// mode: c++
// End:
